### Function

# Ggit Repository clone

#### Declaration [src]

    GgitRepository*
    ggit_repository_clone (
      const gchar* url,
      GFile* location,
      GgitCloneOptions* options,
      GError** error
    )

#### Description [src]

Clones a new git repository in the given folder.

#### Parameters

`url`

  Type: `const gchar*`

  Url to fetch the repository from.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`location`

  Type: `GFile`

  The location of the repository.

  The data is owned by the caller of the function.

`options`

  Type: `GgitCloneOptions`

  A `GgitCloneOptions`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitRepository`

A newly created `GgitRepository`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.